<script setup>

//import datakorumJS from '../../../public/libs/datakorumJS';
import { axiosApiCalls } from '../../../public/libs/datakorumJS';

import AppLayout from '@/Layouts/AppLayoutWater.vue';
import DK_Button from '@/components/dk_Button.vue';
import DK_Input from '@/components/dk_Input.vue';
import DK_Tooltip from '@/components/dk_Tooltip.vue';

import Dk_Notification from '../components/dk_Notification.vue';
import DK_Progressbar from '../components/dk_Progressbar.vue';

</script>

<template>
    <AppLayout title="Temp">

        <loader-component></loader-component>

        <div style="height: calc(100vh - 4.75rem);"
        class="bg-darkblue-background z-0 cursor-default px-10 flex flex-col">

            <div class="flex gap-2 justify-start items-center pt-4">
                <DK_Button @click="this.iniciation_page = 0" :disabled="this.iniciation_page == 0">
                    Page 0
                </DK_Button>

                <DK_Button @click="this.iniciation_page = 1" :disabled="this.iniciation_page == 1">
                    Page 1
                </DK_Button>
            </div>

            <div class="flex flex-col gap-2 py-4" v-if="this.iniciation_page === 0">
                <h1 class="text-white" >Parámetros para obtener la información los gateways de un grupo:
                    <div class="text-white">Escribe el id del grupo:
                        <DK_Input id="idgrupo" type="text" value="" width="30rem" :textarea="false" textPosition="left"></DK_Input>
                    </div>
                    <div class="text-white">Escribe el id del subgrupo:
                        <DK_Input id="idsubgrupo" type="text" value="" width="30rem" :textarea="true" textPosition="left"></DK_Input>
                    </div>
                    <div class="text-white">Escribe el id del tipo de dispositivo:
                        <DK_Input id="iddevicetype" type="text" value="" width="30rem" :textarea="true" textPosition="left"></DK_Input>
                    </div>
                </h1>
                <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.sendGet()">
                    methodGet
                </DK_Button>
                <p class="text-white">{{ this.GetResponse }}</p>

                <div class="text-white">__________________________</div>

                <h1 class="text-white" >Obtener el meter de un dispositivo BUS:</h1>
                    <div class="text-white">Escribe el id del dispositivo:
                        <DK_Input id="iddevice" type="text" value="" width="30rem" :textarea="true" textPosition="left"></DK_Input>
                    </div>
                    <div class="text-white">Escribe el id del BUS:
                        <DK_Input id="BUS_iddevice" type="text" value="" width="30rem" :textarea="true" textPosition="left"></DK_Input>
                    </div>
                <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.sendPost()">
                    methodPost
                </DK_Button>
                <p v-if="this.PostResponse && this.PostResponse.Meter" class="text-white">{{ this.PostResponse.Meter }}</p>


                </div>

            <div class="grid grid-cols-2" v-else-if="this.iniciation_page === 1">

                <div class="flex justify-center items-center h-full w-full">
                    <div class="flex justify-center items-center gap-4 p-4 flex-col">
                        <div class="grid grid-cols-3 gap-4">
                            <DK_Button>
                                Text
                            </DK_Button>
                            <DK_Button color="red">
                                Text
                            </DK_Button>
                            <DK_Button color="blue">
                                Text
                            </DK_Button>

                            <DK_Button :disabled="true">
                                Text
                            </DK_Button>
                            <DK_Button :disabled="true" color="red">
                                Text
                            </DK_Button>
                            <DK_Button :disabled="true" color="blue">
                                Text
                            </DK_Button>
                            
                            <DK_Button :fixedSize="false">
                                Long text for a button
                            </DK_Button>
                            <DK_Button color="red" :fixedSize="false">
                                Long text for a button
                            </DK_Button>
                            <DK_Button color="blue" :fixedSize="false">
                                Long text for a button
                            </DK_Button>

                            <div>
                                <DK_Button switch="left">
                                    left
                                </DK_Button>
                                <DK_Button switch="right" :off="true">
                                    right
                                </DK_Button>
                            </div>

                            <div>
                                <DK_Button switch="left" color="red">
                                    left
                                </DK_Button>
                                <DK_Button switch="right" color="red" :off="true">
                                    right
                                </DK_Button>
                            </div>

                            <div>
                                <DK_Button switch="left" color="blue">
                                    left
                                </DK_Button>
                                <DK_Button switch="right" color="blue" :off="true">
                                    right
                                </DK_Button>
                            </div>
                        </div>                    

                        <div class="grid grid-cols-2 gap-4 w-full">
                            <div class="flex flex-col w-full justify-around">
                                <DK_Input type="text" value="Input text" textPosition="right" :readonly="true"></DK_Input>

                                <DK_Input type="text" value="Input text" width="1/2" textPosition="left"></DK_Input>

                                <DK_Input type="text" value="Input text" width="full" :textarea="true"></DK_Input>

                                <DK_Input type="text" value="Input text" width="10rem"></DK_Input>
                            </div>

                            <div class="flex flex-col w-full justify-around">
                                <DK_Input type="text" value="Input text" :border="false" textPosition="right"></DK_Input>

                                <DK_Input type="text" value="Input text" :border="false" width="1/2" textPosition="left"></DK_Input>

                                <DK_Input type="text" value="Input text" :border="false" width="full" :textarea="true"></DK_Input>

                                <DK_Input type="text" value="Input text" :border="false" width="10rem" :readonly="true"></DK_Input>
                            </div>
                        </div>                            
                        
                        <div class="flex w-full justify-between">

                            <DK_Tooltip arrow="right" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    right
                                </DK_Button>
                            </DK_Tooltip>

                            <DK_Tooltip arrow="top" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    top
                                </DK_Button>
                            </DK_Tooltip>

                            <DK_Tooltip arrow="bottom" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    bottom
                                </DK_Button>
                            </DK_Tooltip>

                            <DK_Tooltip arrow="left" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    left
                                </DK_Button>
                            </DK_Tooltip>
                        </div>

                        <div class="flex w-full justify-between">
                            <Dk_Notification :corner="false" position="left" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    left
                                </DK_Button>
                            </Dk_Notification>

                            <Dk_Notification :corner="false" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    none
                                </DK_Button>
                            </Dk_Notification>

                            <Dk_Notification :corner="false" position="top" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    top
                                </DK_Button>
                            </Dk_Notification>

                            <Dk_Notification :corner="false" position="bottom" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    bottom
                                </DK_Button>
                            </Dk_Notification>

                            <Dk_Notification :corner="true" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    corner
                                </DK_Button>
                            </Dk_Notification>

                            <Dk_Notification :corner="false" position="right" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    right
                                </DK_Button>
                            </Dk_Notification>
                        </div>
                        
                        <DK_Progressbar label="fixed" color="gradient" :limits="true" :value_min="this.PB_value_min" :value_max="this.PB_value_max" :value="this.PB_value" text="Aforo:"></DK_Progressbar>

                        <DK_Progressbar label="centred" color="#ff0000" height="2rem" :limits="true" :value_min="this.PB_value_min" :value_max="this.PB_value_max" :value="this.PB_value" text=""></DK_Progressbar>

                        <DK_Progressbar label="follow" color="#ff00ff;#0000ff" height="1rem" :limits="false" :value_min="this.PB_value_min" :value_max="this.PB_value_max" :value="this.PB_value" text=""></DK_Progressbar>

                    </div>
                </div>

                <div class="flex justify-center items-center h-full w-full">
                    <div class="flex justify-center items-center gap-4 baltoro-container p-4 flex-col">
                        <div class="grid grid-cols-3 gap-4">
                            <DK_Button>
                                Text
                            </DK_Button>
                            <DK_Button color="red">
                                Text
                            </DK_Button>
                            <DK_Button color="blue">
                                Text
                            </DK_Button>

                            <DK_Button :disabled="true">
                                Text
                            </DK_Button>
                            <DK_Button :disabled="true" color="red">
                                Text
                            </DK_Button>
                            <DK_Button :disabled="true" color="blue">
                                Text
                            </DK_Button>
                            
                            <DK_Button :fixedSize="false">
                                Long text for a button
                            </DK_Button>
                            <DK_Button color="red" :fixedSize="false">
                                Long text for a button
                            </DK_Button>
                            <DK_Button color="blue" :fixedSize="false">
                                Long text for a button
                            </DK_Button>

                            <div>
                                <DK_Button switch="left">
                                    left
                                </DK_Button>
                                <DK_Button switch="right" :off="true">
                                    right
                                </DK_Button>
                            </div>

                            <div>
                                <DK_Button switch="left" color="red">
                                    left
                                </DK_Button>
                                <DK_Button switch="right" color="red" :off="true">
                                    right
                                </DK_Button>
                            </div>

                            <div>
                                <DK_Button switch="left" color="blue">
                                    left
                                </DK_Button>
                                <DK_Button switch="right" color="blue" :off="true">
                                    right
                                </DK_Button>
                            </div>
                        </div>                    

                        <div class="grid grid-cols-2 gap-4 w-full">
                            <div class="flex flex-col w-full justify-around">
                                <DK_Input type="text" value="Input text" textPosition="right" :readonly="true"></DK_Input>

                                <DK_Input type="text" value="Input text" width="1/2" textPosition="left"></DK_Input>

                                <DK_Input type="text" value="Input text" width="full" :textarea="true"></DK_Input>

                                <DK_Input type="text" value="Input text" width="10rem"></DK_Input>
                            </div>

                            <div class="flex flex-col w-full justify-around">
                                <DK_Input type="text" value="Input text" :border="false" textPosition="right"></DK_Input>

                                <DK_Input type="text" value="Input text" :border="false" width="1/2" textPosition="left"></DK_Input>

                                <DK_Input type="text" value="Input text" :border="false" width="full" :textarea="true"></DK_Input>

                                <DK_Input type="text" value="Input text" :border="false" width="10rem" :readonly="true"></DK_Input>
                            </div>
                        </div>  
                        
                        <div class="flex w-full justify-between">

                            <DK_Tooltip arrow="right" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    right
                                </DK_Button>
                            </DK_Tooltip>

                            <DK_Tooltip arrow="top" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    top
                                </DK_Button>
                            </DK_Tooltip>

                            <DK_Tooltip arrow="bottom" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    bottom
                                </DK_Button>
                            </DK_Tooltip>

                            <DK_Tooltip arrow="left" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    left
                                </DK_Button>
                            </DK_Tooltip>
                        </div>

                        <div class="flex w-full justify-between">
                            <Dk_Notification :corner="false" position="left" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    left
                                </DK_Button>
                            </Dk_Notification>

                            <Dk_Notification :corner="false" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    none
                                </DK_Button>
                            </Dk_Notification>

                            <Dk_Notification :corner="false" position="top" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    top
                                </DK_Button>
                            </Dk_Notification>

                            <Dk_Notification :corner="false" position="bottom" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    bottom
                                </DK_Button>
                            </Dk_Notification>

                            <Dk_Notification :corner="true" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    corner
                                </DK_Button>
                            </Dk_Notification>

                            <Dk_Notification :corner="false" position="right" title="Titulo del tooltip" message="Lorem Ipsum es el texto de relleno de las imprentas.">
                                <DK_Button color="blue" :fixedSize="true">
                                    right
                                </DK_Button>
                            </Dk_Notification>
                        </div>

                        <DK_Progressbar label="fixed" color="gradient" :limits="true" :value_min="this.PB_value_min" :value_max="this.PB_value_max" :value="this.PB_value" text="Aforo:"></DK_Progressbar>

                        <DK_Progressbar label="centred" color="#ff0000" height="2rem" :limits="true" :value_min="this.PB_value_min" :value_max="this.PB_value_max" :value="this.PB_value" text=""></DK_Progressbar>

                        <DK_Progressbar label="follow" color="#ff00ff;#0000ff" height="1rem" :limits="false" :value_min="this.PB_value_min" :value_max="this.PB_value_max" :value="this.PB_value" text=""></DK_Progressbar>

                    </div>
                </div>

                <div class="col-span-2">
                    <div class="flex justify-between items-center gap-1 overflow-x-scroll">
                        <i class="DK-temperatura" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-humedad" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-presencia" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-luminosidad" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-presion" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-nivel" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-caudalimetro" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-puerta_abierta" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-aforo1" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-alerta" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-parking" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-ruido" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-radiacion" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-tab_control" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-tab_sensor" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-tab_consumption" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-tab_schedule" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-slide_up" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-slide_down" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-alarma_minimo" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-alarma_maximo" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-nueva_alarma" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-alarma" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-indicador_analogico" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-carpeta_ab" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-carpeta_ce" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-subcarpeta_ab" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-subcarpeta_ce" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-componente_viento" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-direccion_viento" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-velocidad_viento" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-presion_atm" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-intensidad_precipitacion" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-total_precipitacion" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-punto_rocio" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-informe" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-btn_graficas" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-btn_schedule" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-btn_alarmas" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-btn_informe" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-btn_configuracion" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-conexion" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-lane" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-peak" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-pole" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-plug" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-tiny" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-indice_uv" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-smart_lighting" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-smart_theft_detect" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-smart_energy" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-smart_aforo" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-smart_sensacion_termica" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-smart_ruido" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-smart_parking" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-smart_calidad_aire" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-smart_water" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-fase_01" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-fase_02" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-fase_03" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-euros" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-co2" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-uniE93E" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-uniE93F" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-uniE940" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-uniE941" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-pin" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-voltaje" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-analogico" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-antena" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-sim" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-Vitals" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-Batt-25" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-Batt-50" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-Batt-75" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-Batt-100" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-Cobertura-01" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-Cobertura-02" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-Cobertura-03" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-Cobertura-04" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                        <i class="DK-Cobertura-05" style="font-size:1rem; margin-right:0rem; color:#d1d1d1; position:relative; top:0%"></i>
                    </div>
                </div>

                <div class="col-span-2 flex flex-row gap-4 w-full justify-between items-center">
                    <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.PB_value = this.generarNumeroAleatorio(this.PB_value_min,this.PB_value_max)">
                        Change size
                    </DK_Button>

                    <DK_Button color="blue" width="fit" :fixedSize="false" @click="saludar()">
                        saludar
                    </DK_Button>

                    <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.sendPost()">
                        methodPost
                    </DK_Button>

                    <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.sendGet()">
                        methodGet
                    </DK_Button>
                    
                    <div class="grid grid-cols-2 grid-rows-2 gap-2">     
                        <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.getGatewayLastValues( 763426077, 0)">
                            Modbus Last
                        </DK_Button>
                        <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.getGatewayLastValues( 763426077, 1440)">
                            Modbus Last Day
                        </DK_Button>
                        <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.getGatewayRangeValues( 763426077, 1440, '2023-11-23 17:14:00')">
                            Modbus Range
                        </DK_Button>
                        <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.getGatewayPeriodValues( 763426077, '2023-11-20 17:14:00', '2023-11-23 17:14:00')">
                            Modbus Period
                        </DK_Button>
                    </div>

                    <div class="grid grid-cols-2 grid-rows-2 gap-2"> 
                        <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.getGatewayLastValues( 109024870, 0)">
                            Modbus 4_20 Last
                        </DK_Button>
                        <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.getGatewayLastValues( 109024870, 1440)">
                            Modbus 4_20 Last Day
                        </DK_Button>
                    </div>

                    <div class="grid grid-cols-2 grid-rows-2 gap-2"> 
                        <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.getGatewayLastValues( 763439817, 0)">
                            Park Last
                        </DK_Button>
                        <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.getGatewayLastValues( 763439817, 1440)">
                            Park Last Day
                        </DK_Button>
                    </div>

                    <div class="grid grid-cols-2 grid-rows-2 gap-2"> 
                        <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.getGatewayLastValues( 109019069, 0)">
                            Pulses Last
                        </DK_Button>
                        <DK_Button color="blue" width="fit" :fixedSize="false" @click="this.getGatewayLastValues( 109019069, 1440)">
                            Pulses Last Day
                        </DK_Button>
                    </div>

                    <p v-if="this.PostResponse != null" class="text-white-snow">{{ PostResponse }}</p>
                </div>
            </div>
        </div>
    </AppLayout>
</template>

<script>

export default {
    props: ["user", "data"],
    data() {
        return {
            iniciation_page: 0,

            temporalResponsePost: "",
            temporalResponseGet: "",
            PB_value_min: 0,
            PB_value_max: 100,
            PB_value: setTimeout(() => {
                this.generarNumeroAleatorio(this.PB_value_min,this.PB_value_max)
            }, 0),
            GetResponse: null,
            PostResponse: null,
            data_post: {
                name: 'jorge',
                resources: {
                    iddevice: 32476234,
                    name: 'Nombre del dispositivo',
                    descripcion: 'descripcion del dispositivo'
                }
            },
        };
    },
    beforeMount() {
    },
    mounted() {
        window.emitter.emit("changeLoaderStatus", false, "orbit");
    },
    methods: {
        methodGet() {
            axios({
                method: "get",
                url: window.location.origin + "/api/temporal/get/" + this.user.id,
                headers: {
                    "Accept": "application/json",
                    "Content-Type": "application/json",
                    "Authorization": "Bearer " + this.user.token
                },
            })
                .then((response) => {
                this.temporalResponseGet = response.data;
                return ("Success!", response);
            })
                .catch((error) => {
                    window.emitter.emit('changeLoaderStatus', false, 'orbit')

                    if(error.response && error.response.status && error.response.status == 429){
                        window.alert( this.$t('text.Api attempts'));
                    }else{
                        return "Failed!", error;
                    }
            });
        },
        methodPost() {
            var data = document.getElementById("IDpost").value;
            axios({
                method: "post",
                url: window.location.origin + "/api/temporal/post/" + this.user.id,
                headers: {
                    "Accept": "application/json",
                    "Content-Type": "application/json",
                    "Authorization": "Bearer " + this.user.token
                },
                data: data
            })
                .then((response) => {
                this.temporalResponsePost = response.data;
                return ("Success!", response);
            })
                .catch((error) => {
                    window.emitter.emit('changeLoaderStatus', false, 'orbit')

                    if(error.response && error.response.status && error.response.status == 429){
                        window.alert( this.$t('text.Api attempts'));
                    }else{
                        return "Failed!", error;
                    }
            });
        },
        generarNumeroAleatorio(min, max) {

            // Generar un número aleatorio entre 0 (inclusive) y 1 (exclusivo)
            let numeroAleatorio = Math.random();

            // Multiplicar por 100 para obtener un número entre 0 (inclusive) y 100 (exclusivo)
            numeroAleatorio = numeroAleatorio * (max - min);

            // Redondear el número a 2 decimales utilizando la función toFixed(2)
            numeroAleatorio = (numeroAleatorio + min).toFixed(2);

            return parseFloat(numeroAleatorio); // Convertir a tipo número (opcional)
        },
        getGatewayLastValues(idDevice, timeRange){
            axiosApiCalls.methodGet('/gateway/values/last/'+this.user.id+'/'+idDevice+'/'+timeRange, this.user.token)
                .then( (resultado) => {
                    console.log(resultado)
                });
        },
        getGatewayRangeValues(idDevice, timeRange, dateEnd){
            axiosApiCalls.methodGet('/gateway/values/range/'+this.user.id+'/'+idDevice+'/'+timeRange+'/'+dateEnd, this.user.token)
                .then( (resultado) => {
                    console.log(resultado)
                });
        },
        getGatewayPeriodValues(idDevice, dateStart, dateEnd){
            axiosApiCalls.methodGet('/gateway/values/period/'+this.user.id+'/'+idDevice+'/'+dateStart+'/'+dateEnd, this.user.token)
                .then( (resultado) => {
                    console.log(resultado)
                });
        },

        sendGet(){
            const data = document.getElementById('idgrupo').value
            const data2 = document.getElementById('idsubgrupo').value
            const data3 = document.getElementById('iddevicetype').value

            console.log('/temporal/get/'+this.user.id+'/'+data+'/'+data2+'/'+data3)

            axiosApiCalls.methodGet('/temporal/get/'+this.user.id+'/'+data+'/'+data2+'/'+data3, this.user.token)
                .then( (resultado) => {
                    this.GetResponse = resultado
                });
        },
        
        sendPost(){

            const data2 = document.getElementById('iddevice').value
            const data3 = document.getElementById('BUS_iddevice').value

            console.log('/temporal/post/'+this.user.id+'/'+data2+'/'+data3)

            axiosApiCalls.methodPost('/temporal/post/'+this.user.id+'/'+data2+'/'+data3, this.user.token)
                .then( (resultado) => {
                    this.PostResponse = resultado
                });
        },
    },
    
    components: { Dk_Notification }
}

</script>